# /etc/rc.d/rc.inet1.conf
# vim:ft=sh:ff=unix:enc=utf8:ts=3:sw=3:et
#
# This file contains the configuration settings for network interfaces.
# If USE_DHCP_<interface> is set to "yes", this overrides any other settings.
# If you don't have an interface, leave the settings null ("").

# Several other parameters are available, the end of this file contains a
# comprehensive set of examples.

# =============================================================================

# Change this to "yes" for debugging output to stdout.  Unfortunately,
# /sbin/hotplug seems to disable stdout so you'll only see debugging output
# when rc.inet1 is called directly.
DEBUG_ETH_UP="yes"

# Default gateway IP address:
# GATEWAY=""

#INTERFACES="eth0 eth1 wlan0"

# First interface example:
#USE_DHCP_eth0="yes"
#NETWORKING_IPV6_eth0="no"
#DHCP_KEEPNTP_eth0="yes"

# First interface example:
#NETWORKING_IPV6_eth1="no"
#IPADDR_eth1="192.168.123.2"
#NETWORK_eth1="192.168.123.0"
#NETMASK_eth1="255.255.255.0"
#BROADCAST_eth1="192.168.123.255"

# Dummy interface (3rd interface):
#IPADDR_dummy0="10.10.10.10"
#NETMASK_dummy0="255.255.255.0"

# Another dummy (4th interface):
#IPADDR_dummy1="192.168.2.32"
#NETMASK_dummy1="255.255.255.0"

# other misc. stuff:
#USE_DHCP_eth0="no"
#DHCP_KEEPNTP_eth0="yes"
#DHCP_KEEPRESOLV_eth0="yes"
#DHCP_HOSTNAME_eth0="darkstar"
#DHCP_KEEPGW_eth0="yes"
#DHCP_IPADDR_eth0="192.168.0.30"
#GATEWAY_eth0="192.168.0.10"
#NETMASK_eth0="255.255.255.0"
#BROADCAST_eth0="192.168.0.255"

## Example config information for wlan0.  Uncomment the lines you need and fill
## in your data.  (You may not need all of these for your wireless network)
#IPADDR_wlan0=""
#NETMASK_wlan0=""
#USE_DHCP_wlan0="yes"
#DHCP_HOSTNAME_wlan0="icculus-wireless"
#DHCP_KEEPRESOLV_wlan0="yes"
#DHCP_KEEPNTP_wlan0="yes"
#DHCP_KEEPGW_wlan0="yes"
#DHCP_IPADDR_wlan0=""
#WLAN_ESSID_wlan0=DARKSTAR
#WLAN_MODE_wlan0=Managed
#WLAN_RATE_wlan0="54M auto"
#WLAN_CHANNEL_wlan0="auto"
#WLAN_KEY_wlan0="D5A31F54ACF0487C2D0B1C10D2"
#WLAN_IWPRIV_wlan0="set AuthMode=WPAPSK | set EncrypType=TKIP | set WPAPSK=96389dc66eaf7e6efd5b5523ae43c7925ff4df2f8b7099495192d44a774fda16"
#WLAN_WPA_wlan0="wpa_supplicant"
#WLAN_WPADRIVER_wlan0="wext"
#WLAN_WPAWAIT_wlan0=30

## Some examples of additional network parameters that you can use.
## Config information for wlan0:
#IFNAME_wlan0="eth0:1"              # Set up an IP alias.
#HWADDR_wlan0="00:01:23:45:67:89"   # Overrule the card's hardware MAC address
#MTU_wlan0=""                       # The default MTU is 1500, but you might
                                    # need 1360 when you use NAT'ed IPSec
                                    # traffic.
#DHCP_TIMEOUT_wlan0=15              # The default timeout for the DHCP client to
                                    # wait for server resonse is 10 seconds, but
                                    # you might want a shorter or longer wait.
#DHCP_KEEPRESOLV_wlan0="yes"        # If you dont want /etc/resolv.conf overwritten
#DHCP_KEEPNTP_wlan0="yes"           # If you don't want ntp.conf overwritten
#DHCP_KEEPGW_wlan0="yes"            # If you don't want the DHCP server to
                                    # change your default gateway
#DHCP_IPADDR_wlan0=""               # Request a specific IP address from the
                                    # DHCP server
#DHCP_DEBUG_wlan0="yes"             # Make dhcpcd show verbose diagnostics
#DHCP_NOIPV4LL_wlan0="yes"          # Do not assign an ipv4ll address when a
                                    # DHCP server is not found (ipv4ll link-
                                    # local addresses in the IP range
                                    # 169.254.0.0/16 are also known as
                                    # "zeroconf" addresses)
#WLAN_ESSID_wlan0=DARKSTAR          # An example of how you can override _any_
                                    # parameter defined in rc.wireless.conf, by
                                    # prepending 'WLAN_' to the parameter's name.
                                    # Useful with multiple wireless interfaces.
#WLAN_IWPRIV_wlan0="set AuthMode=WPAPSK | set EncrypType=TKIP | set WPAPSK=thekey"
                                    # Some drivers require a private ioctl to
                                    # be set through the iwpriv command. If
                                    # more than one is required, you can place
                                    # them in the IWPRIV parameter (separated
                                    # with the pipe (|) character, see the
                                    # example).
#WLAN_WPA_wlan0="wpa_supplicant"    # Run wpa_supplicant for WPA support
#WLAN_WPADRIVER_wlan0="ndiswrapper" # Tell wpa_supplicant to specifically use
                                    # the ndiswrapper driver (if you leave this
                                    # empty the 'wext' driver is used by
                                    # default)
#WLAN_WPAWAIT_wlan0=30              # In case it takes long for the WPA
                                    # association to finish, you can increase
                                    # the wait time (defaults to 10 seconds)
